﻿
using HeuristicLab.Common;
using HeuristicLab.Core;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
namespace HeuristicLab.Analysis.FitnessLandscape.DataTables {

  [Item("InformationAnalysisTable", "DataTable that contains series with results of an information analysis")]
  [StorableClass]
  public class InformationAnalysisTable : DataTable {

    #region Construction & Cloning

    [StorableConstructor]
    protected InformationAnalysisTable(bool deserializing) : base(deserializing) { }
    protected InformationAnalysisTable(InformationAnalysisTable original, Cloner cloner) : base(original, cloner) { }
    public InformationAnalysisTable() : base() { }
    public InformationAnalysisTable(string name) : base(name) { }
    public InformationAnalysisTable(string name, string description) : base(name, description) { }
    public override IDeepCloneable Clone(Cloner cloner) {
      return new InformationAnalysisTable(this, cloner);
    }
    #endregion

  }
}
